Bug 485475 - Pulseaudio daemon does not recognize default-sample-channels in daemon.conf and may not display inputs correctly
Pulseaudio daemon does not recognize default-sample-channels in daemon.conf a...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
rawhide
i686 Linux
low Severity urgent
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-13 12:45 EST by Peter Gückel
Modified: 2009-02-17 19:46 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-17 16:15:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Gückel 2009-02-13 12:45:13 EST
Description of problem:
Since this morning's update of pulseaudio, it is no longer possible to have 4 speakers, nor do 4 sliders for separate volumes (2 stereo pairs) in the docked pulse manager show up.

Version-Release number of selected component (if applicable):
0.9.15-0.test2.fc11.i386

How reproducible:
Edit /etc/pulse/daemon.conf, by removing the '; ' from the default-sample-channels line and replacing the 2 with a 4. Then reboot and... disaster!

Steps to Reproduce:
1. Enable 4 speakers, as described.
2. Reboot.
3. See that now, there are no longer 2 pairs of volume sliders and, even when setting the kmix surround volume slider to maximum, there is no longer any output on the second set of speakers.
  
Actual results:
No sound.

Expected results:
Sound.

Additional info:
It worked perfectly right up until this update.
Comment 1 Peter Gückel 2009-02-13 18:42:53 EST
[A few hours later, after completely powering off and back on again the computer...]

I just noticed that the pulseaudio widget in the systray also shows the input device incorrectly: it shows one mono input device, but it is actually a stereo device input.
Comment 2 Matthias Clasen 2009-02-13 20:13:13 EST
What do you mean exactly with 'it shows a mono input device' ?
That is shows only one slider ?
Comment 3 Peter Gückel 2009-02-16 00:24:04 EST
Yes, I mean that it shows only one slider.

I just checked my sound card and it has both a microphone in jack (I don't know if this is a mono or a stereo jack) and another device input jack (definitely stereo), so shouldn't sliders for all of them be shown?

Shouldn't pulseaudio detect what my sound card has and show all of the devices/in- and output jacks? In fact, the card has yet another output jack: digital stereo out (I have never tried it), and pulse has never acknowledged its presence anywhere.

So, to summarize the entire problem profile:

- there is no way to control the second set of speakers (nor digital out, for that matter)
- the inputs are not all detected and the one that is detected MIGHT be stereo, although it is shown as mono (I have plugged a stereo mic into it and it worked, but I don't know whether it was giving me stereo or just cloned left/right mono)

Pulse should detect what my card is capable of and provide the means for me to control all of its functions. Alsa always showed me the in-/outputs, albeit it showed so many other things that I never managed to figure what they did, if anything. Isn't pulse supposed to make sound easier?
Comment 4 Lennart Poettering 2009-02-17 16:15:49 EST
On 0.9.15 selection of the output profile (i.e. stereo vs. surround, ...) is done via an explicit command "set-card-profile" you can issue in pacmd. Unfortunately there is no real UI for this yet. For now you need to run "pacmd", type "list-cards" to get a list of cards found and the profiles they support and then issue "set-card-profile <card-index> <profile name>".

Patching daemon.conf won't be necessary anymore as soon as this is exposed in the UI.
Comment 5 Peter Gückel 2009-02-17 19:46:50 EST
Okay. I reverted /etc/pulse/daemon.conf to its original state and ran pacmd. I set the card to 4.0 surround and mono input. I tested my 4 speakers and they all work. However, there are 2 remaining difficulties:

- what if I want to use my stereo input? do I have to temporarily disallow one set of speakers, just so I can have stereo in?

- when I left pacmd, I typed exit and the program did not exit, so I typed exit a second time. It exited, but killed the pulseaudio daemon, so I had to restart the daemon. I tried this twice and both times, I had to exit twice and manually start the daemon. I used pulseaudio -D (I hope this is correct).

Note You need to log in before you can comment on or make changes to this bug.